package jp.co.gxp.sample.blazeds.simple;

import java.io.Serializable;
import java.util.Date;

/**
 * シンプルなメッセージ。
 * 
 * @version $Revision$
 * @author $Author$
 */
public class SimpleMessage implements Serializable {

	/** バージョンID。 */
	private static final long serialVersionUID = 1L;

	/** メッセージの内容。 */
	private String content;

	/** 登録日時。 */
	private Date registerDate;

	/**
	 * コンストラクタ。
	 */
	public SimpleMessage() {
		super();
	}

	/**
	 * メッセージの内容を戻します。
	 * 
	 * @return メッセージの内容
	 */
	public String getContent() {
		return content;
	}

	/**
	 * メッセージの内容を設定します。
	 * 
	 * @param newContent
	 *            メッセージの内容
	 */
	public void setContent(String newContent) {
		this.content = newContent;
	}

	/**
	 * 登録日時を戻します。
	 * 
	 * @return 登録日時
	 */
	public Date getRegisterDate() {
		return registerDate;
	}

	/**
	 * 登録日時を設定します。
	 * 
	 * @param newRegisterDate
	 *            登録日時
	 */
	public void setRegisterDate(Date newRegisterDate) {
		this.registerDate = newRegisterDate;
	}
}
